Package be.fgov.ehealth.hubservices.core.v2

# Class SelectRevokeAccessRightType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.SelectRevokeAccessRightType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class SelectRevokeAccessRightType extends Object implements Serializable

Java class for SelectRevokeAccessRightType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SelectRevokeAccessRightType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TransactionIdType"/>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}BasicHcPartyType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SelectRevokeAccessRightType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BasicHcPartyType`
  `getHcparty()`
  Gets the value of the hcparty property.
  `TransactionIdType`
  `getTransaction()`
  Gets the value of the transaction property.
  `void`
  `setHcparty(BasicHcPartyType value)`
  Sets the value of the hcparty property.
  `void`
  `setTransaction(TransactionIdType value)`
  Sets the value of the transaction property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SelectRevokeAccessRightType

    public SelectRevokeAccessRightType()

- ## Method Details

  - ### getTransaction

    public TransactionIdType getTransaction()
    Gets the value of the transaction property.
    Returns:
      possible object is `TransactionIdType`

  - ### setTransaction

    public void setTransaction(TransactionIdType value)
    Sets the value of the transaction property.
    Parameters:
      `value` - allowed object is `TransactionIdType`

  - ### getHcparty

    public BasicHcPartyType getHcparty()
    Gets the value of the hcparty property.
    Returns:
      possible object is `BasicHcPartyType`

  - ### setHcparty

    public void setHcparty(BasicHcPartyType value)
    Sets the value of the hcparty property.
    Parameters:
      `value` - allowed object is `BasicHcPartyType`